"""Ferda verification settings."""
import os

from appsettings import AppSettings, DictSetting, FileSetting, StringSetting


class FerdaVerificationSettings(AppSettings):
    """Ferda mojeID settings."""

    verification_netloc = StringSetting(required=True)
    verification_ssl_cert = FileSetting(default=None, mode=os.R_OK)
    verification_portal_url = StringSetting(default=None)
    verification_grpc_options = DictSetting(default=dict, call_default=True)

    class Meta:
        """Meta class."""

        setting_prefix = "ferda_verification_"


SETTINGS = FerdaVerificationSettings()
